Page 1 sur 1

[resolu] nextcloud-client 32 bits, installation

Posté : lun. 15 janv. 2018 11:11
par zaclysian
Bonjour et meilleurs voeux !

ici on peut trouver l'appimage de nextcloud :
https://download.nextcloud.com/desktop/releases/Linux/Nextcloud-2.3.3-x86_64.AppImage
mais il s'agit d'une version 64 bits.

Jusqu'ici j'utilise, sur mes pc, owncloud sur une debian 8.6 jessie.
je viens de passer l'un d'eux, un pc samsung nc10_32 bits, en debian 9, et envisageais le passage à nextcloud, pour tous les matériels de la maison, mais je ne trouve pas de version nextcloud-client en 32 bits.

. une piste ?
. si ça n'existe effectivement pas, cela signifie-t-il bien qu'il faut rester avec owncloud pour pouvoir synchroniser tous les pc 32 et 64 bits ainsi que smartphone ?

merci d'avance !
cordialement
zaclysian

Re: nextcloud-client 32 bits ?

Posté : lun. 15 janv. 2018 12:28
par Bill
Bonjour zaclysian

Pour que ton matériel soit reconnu automatiquement, je te conseille d'utiliser la méthode d'installation par PPA, décrite sous le lien de téléchargement dont tu parles.

Re: nextcloud-client 32 bits ?

Posté : lun. 15 janv. 2018 16:16
par zaclysian
merci Bill pour ta réponse.
donc ici:
https://launchpad.net/~nextcloud-devs/+archive/ubuntu/client
il faut choisir une version d'ubuntu
ici, la procédure d'utilisation/installation d'un ppa sur debian :
https://wiki.debian.org/CreatePackageFromPPA
ici, une correspondance debian/ubuntu :
https://askubuntu.com/questions/445487/what-debian-version-are-the-different-ubuntu-versions-based-on#445496
17.10 artful stretch / sid
17.04 zesty stretch / sid
16.10 yakkety stretch / sid
16.04 xenial stretch / sid

in particular Ubuntu is often ahead of Debian on core packages like libc6. Trying to install a package built on Ubuntu on a contemporary version of Debian is likely to end up with version errors on libc6.


pour debian 9.3, sais-tu quelle version d'ubuntu posera le moins de pb de compatibilité ?
la moins récente : xenial ?

Re: nextcloud-client 32 bits ?

Posté : lun. 15 janv. 2018 16:30
par zaclysian
ici:
https://packages.debian.org/stretch/libc6
la version de libc6 pour debian 9 (stretch):
stretch: Package: libc6 (2.24-11+deb9u1)


ici:
https://packages.ubuntu.com/search?keywords=libc6
on trouve:
zesty (libs): GNU C Library: Shared libraries
2.24-9ubuntu2.2 [security]: amd64 i386


donc vaut-il mieux prendre le ppa avec la meilleure correspondance sur la libc6 ?

Re: nextcloud-client 32 bits ?

Posté : lun. 15 janv. 2018 22:15
par Bill
Euh, aucune idée, désolé.

Re: nextcloud-client 32 bits ?

Posté : mer. 17 janv. 2018 10:06
par zaclysian